Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstruction.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstruction.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/FrmDRConstruction.designer.cs	(revision 51)
@@ -66,7 +66,7 @@
             this.btnOnHold = new System.Windows.Forms.Button();
             this.dTPCreateDate = new System.Windows.Forms.DateTimePicker();
             this.label47 = new System.Windows.Forms.Label();
-            this.textBox2 = new System.Windows.Forms.TextBox();
+            this.textBox = new System.Windows.Forms.TextBox();
             this.label3 = new System.Windows.Forms.Label();
             this.label2 = new System.Windows.Forms.Label();
             this.label4 = new System.Windows.Forms.Label();
@@ -160,6 +160,11 @@
             this.btnOtherProc = new System.Windows.Forms.Button();
             this.panel2 = new System.Windows.Forms.Panel();
             this.btnWorkingList = new System.Windows.Forms.Button();
+            this.btnPrint = new System.Windows.Forms.Button();
+            this.PrintProgress = new System.Windows.Forms.ProgressBar();
+            this.btnCancel = new System.Windows.Forms.Button();
+            this.btnFirst = new System.Windows.Forms.Button();
+            this.btnFinal = new System.Windows.Forms.Button();
             this.panel1.SuspendLayout();
             this.pnlApproval.SuspendLayout();
             this.pnlApprovalButton.SuspendLayout();
@@ -183,7 +188,7 @@
             this.label1.Name = "label1";
             this.label1.Size = new System.Drawing.Size(500, 20);
             this.label1.TabIndex = 6;
-            this.label1.Text = "工　事　(朝　礼)　日　報　入　力";
+            this.label1.Text = "工　事　日　報　入　力";
             this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // btnDataDelete
@@ -192,7 +197,7 @@
             this.btnDataDelete.BackColor = System.Drawing.Color.Red;
             this.btnDataDelete.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnDataDelete.ForeColor = System.Drawing.Color.White;
-            this.btnDataDelete.Location = new System.Drawing.Point(1086, 656);
+            this.btnDataDelete.Location = new System.Drawing.Point(1086, 658);
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 13;
@@ -206,7 +211,7 @@
             this.btnDataEntry.BackColor = System.Drawing.Color.Green;
             this.btnDataEntry.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnDataEntry.ForeColor = System.Drawing.Color.White;
-            this.btnDataEntry.Location = new System.Drawing.Point(960, 656);
+            this.btnDataEntry.Location = new System.Drawing.Point(960, 658);
             this.btnDataEntry.Name = "btnDataEntry";
             this.btnDataEntry.Size = new System.Drawing.Size(120, 30);
             this.btnDataEntry.TabIndex = 12;
@@ -220,7 +225,7 @@
             this.btnEnd.BackColor = System.Drawing.Color.Blue;
             this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnEnd.ForeColor = System.Drawing.Color.White;
-            this.btnEnd.Location = new System.Drawing.Point(1212, 656);
+            this.btnEnd.Location = new System.Drawing.Point(1212, 658);
             this.btnEnd.Name = "btnEnd";
             this.btnEnd.Size = new System.Drawing.Size(120, 30);
             this.btnEnd.TabIndex = 14;
@@ -237,7 +242,7 @@
             this.panel1.Controls.Add(this.pnlApprovalButton);
             this.panel1.Controls.Add(this.dTPCreateDate);
             this.panel1.Controls.Add(this.label47);
-            this.panel1.Controls.Add(this.textBox2);
+            this.panel1.Controls.Add(this.textBox);
             this.panel1.Controls.Add(this.label3);
             this.panel1.Controls.Add(this.label2);
             this.panel1.Controls.Add(this.label4);
@@ -370,7 +375,8 @@
             this.dTPCreateDate.Size = new System.Drawing.Size(170, 26);
             this.dTPCreateDate.TabIndex = 116;
             this.dTPCreateDate.TabStop = false;
-            this.dTPCreateDate.ValueChanged += new System.EventHandler(this.dTPCreateDate_ValueChanged);
+            this.dTPCreateDate.CloseUp += new System.EventHandler(this.dTPCreateDate_CloseUp);
+            this.dTPCreateDate.Enter += new System.EventHandler(this.dTPCreateDate_Enter);
             // 
             // label47
             // 
@@ -384,15 +390,16 @@
             this.label47.TabIndex = 115;
             this.label47.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
             // 
-            // textBox2
+            // textBox
             // 
-            this.textBox2.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.textBox2.ImeMode = System.Windows.Forms.ImeMode.On;
-            this.textBox2.Location = new System.Drawing.Point(1174, 6);
-            this.textBox2.Name = "textBox2";
-            this.textBox2.Size = new System.Drawing.Size(142, 26);
-            this.textBox2.TabIndex = 1;
-            this.textBox2.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
+            this.textBox.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.textBox.ImeMode = System.Windows.Forms.ImeMode.On;
+            this.textBox.Location = new System.Drawing.Point(1174, 6);
+            this.textBox.Name = "textBox";
+            this.textBox.Size = new System.Drawing.Size(142, 26);
+            this.textBox.TabIndex = 1;
+            this.textBox.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
+            this.textBox.TextChanged += new System.EventHandler(this.textBox_TextChanged);
             // 
             // label3
             // 
@@ -539,12 +546,13 @@
             this.btnLineDel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
             this.btnLineDel.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
             this.btnLineDel.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold);
-            this.btnLineDel.Location = new System.Drawing.Point(812, 656);
+            this.btnLineDel.Location = new System.Drawing.Point(831, 658);
             this.btnLineDel.Name = "btnLineDel";
-            this.btnLineDel.Size = new System.Drawing.Size(130, 30);
+            this.btnLineDel.Size = new System.Drawing.Size(120, 30);
             this.btnLineDel.TabIndex = 20;
             this.btnLineDel.Text = "行　削　除";
             this.btnLineDel.UseVisualStyleBackColor = false;
+            this.btnLineDel.Visible = false;
             this.btnLineDel.Click += new System.EventHandler(this.btnLineDel_Click);
             // 
             // btnLineAdd
@@ -552,12 +560,13 @@
             this.btnLineAdd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
             this.btnLineAdd.BackColor = System.Drawing.Color.PaleGreen;
             this.btnLineAdd.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold);
-            this.btnLineAdd.Location = new System.Drawing.Point(674, 656);
+            this.btnLineAdd.Location = new System.Drawing.Point(711, 658);
             this.btnLineAdd.Name = "btnLineAdd";
-            this.btnLineAdd.Size = new System.Drawing.Size(130, 30);
+            this.btnLineAdd.Size = new System.Drawing.Size(120, 30);
             this.btnLineAdd.TabIndex = 19;
             this.btnLineAdd.Text = "行　追　加";
             this.btnLineAdd.UseVisualStyleBackColor = false;
+            this.btnLineAdd.Visible = false;
             this.btnLineAdd.Click += new System.EventHandler(this.btnLineAdd_Click);
             // 
             // pnlBase
@@ -732,7 +741,6 @@
             this.dataGridViewEX4.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
             this.dataGridViewEX4.Size = new System.Drawing.Size(1290, 243);
             this.dataGridViewEX4.TabIndex = 67;
-            this.dataGridViewEX4.CellDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvAllDisplay_CellDoubleClick);
             this.dataGridViewEX4.CellEnter += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvAllDisplay_CellEnter);
             this.dataGridViewEX4.CellPainting += new System.Windows.Forms.DataGridViewCellPaintingEventHandler(this.dataGridViewEX4_CellPainting);
             this.dataGridViewEX4.CellValidated += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvAllDisplay_CellValidated);
@@ -1424,7 +1432,7 @@
             this.lblCellTotal.BackColor = System.Drawing.Color.WhiteSmoke;
             this.lblCellTotal.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.lblCellTotal.ForeColor = System.Drawing.Color.Black;
-            this.lblCellTotal.Location = new System.Drawing.Point(100, 27188);
+            this.lblCellTotal.Location = new System.Drawing.Point(100, 32562);
             this.lblCellTotal.Name = "lblCellTotal";
             this.lblCellTotal.Size = new System.Drawing.Size(0, 13);
             this.lblCellTotal.TabIndex = 36;
@@ -1582,13 +1590,13 @@
             // 
             this.btnNext.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
             this.btnNext.BackColor = System.Drawing.Color.SeaGreen;
-            this.btnNext.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnNext.Location = new System.Drawing.Point(400, 656);
+            this.btnNext.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnNext.Location = new System.Drawing.Point(440, 658);
             this.btnNext.Name = "btnNext";
-            this.btnNext.Size = new System.Drawing.Size(160, 30);
+            this.btnNext.Size = new System.Drawing.Size(130, 30);
             this.btnNext.TabIndex = 38;
             this.btnNext.TabStop = false;
-            this.btnNext.Text = "次の日報へ >>";
+            this.btnNext.Text = "次日報＞";
             this.btnNext.UseVisualStyleBackColor = false;
             this.btnNext.Click += new System.EventHandler(this.btnNext_Click);
             // 
@@ -1596,13 +1604,13 @@
             // 
             this.btnProv.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
             this.btnProv.BackColor = System.Drawing.Color.SeaGreen;
-            this.btnProv.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnProv.Location = new System.Drawing.Point(232, 656);
+            this.btnProv.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnProv.Location = new System.Drawing.Point(310, 658);
             this.btnProv.Name = "btnProv";
-            this.btnProv.Size = new System.Drawing.Size(160, 30);
+            this.btnProv.Size = new System.Drawing.Size(130, 30);
             this.btnProv.TabIndex = 39;
             this.btnProv.TabStop = false;
-            this.btnProv.Text = "<< 前の日報へ";
+            this.btnProv.Text = "＜前日報";
             this.btnProv.UseVisualStyleBackColor = false;
             this.btnProv.Click += new System.EventHandler(this.btnProv_Click);
             // 
@@ -1610,9 +1618,9 @@
             // 
             this.btnOtherProc.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
             this.btnOtherProc.BackColor = System.Drawing.Color.SpringGreen;
-            this.btnOtherProc.Location = new System.Drawing.Point(8, 656);
+            this.btnOtherProc.Location = new System.Drawing.Point(8, 658);
             this.btnOtherProc.Name = "btnOtherProc";
-            this.btnOtherProc.Size = new System.Drawing.Size(200, 30);
+            this.btnOtherProc.Size = new System.Drawing.Size(150, 30);
             this.btnOtherProc.TabIndex = 96;
             this.btnOtherProc.TabStop = false;
             this.btnOtherProc.Text = "他の画面へ";
@@ -1643,6 +1651,72 @@
             this.btnWorkingList.UseVisualStyleBackColor = false;
             this.btnWorkingList.Click += new System.EventHandler(this.btnWorkingList_Click);
             // 
+            // btnPrint
+            // 
+            this.btnPrint.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.btnPrint.BackColor = System.Drawing.Color.DarkOliveGreen;
+            this.btnPrint.ForeColor = System.Drawing.Color.White;
+            this.btnPrint.Location = new System.Drawing.Point(7, 5);
+            this.btnPrint.Name = "btnPrint";
+            this.btnPrint.Size = new System.Drawing.Size(200, 30);
+            this.btnPrint.TabIndex = 98;
+            this.btnPrint.TabStop = false;
+            this.btnPrint.Text = "日報印刷";
+            this.btnPrint.UseVisualStyleBackColor = false;
+            this.btnPrint.Click += new System.EventHandler(this.btnPrint_Click);
+            // 
+            // PrintProgress
+            // 
+            this.PrintProgress.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.PrintProgress.Location = new System.Drawing.Point(33, 620);
+            this.PrintProgress.Name = "PrintProgress";
+            this.PrintProgress.Size = new System.Drawing.Size(1278, 36);
+            this.PrintProgress.TabIndex = 99;
+            this.PrintProgress.Visible = false;
+            // 
+            // btnCancel
+            // 
+            this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.btnCancel.BackColor = System.Drawing.Color.Red;
+            this.btnCancel.ForeColor = System.Drawing.Color.White;
+            this.btnCancel.Location = new System.Drawing.Point(7, 5);
+            this.btnCancel.Name = "btnCancel";
+            this.btnCancel.Size = new System.Drawing.Size(200, 30);
+            this.btnCancel.TabIndex = 100;
+            this.btnCancel.TabStop = false;
+            this.btnCancel.Text = "印刷中止";
+            this.btnCancel.UseVisualStyleBackColor = false;
+            this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
+            // 
+            // btnFirst
+            // 
+            this.btnFirst.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.btnFirst.BackColor = System.Drawing.Color.LimeGreen;
+            this.btnFirst.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnFirst.Location = new System.Drawing.Point(180, 658);
+            this.btnFirst.Name = "btnFirst";
+            this.btnFirst.Size = new System.Drawing.Size(130, 30);
+            this.btnFirst.TabIndex = 101;
+            this.btnFirst.TabStop = false;
+            this.btnFirst.Text = "≪先頭日報へ";
+            this.btnFirst.UseVisualStyleBackColor = false;
+            this.btnFirst.Click += new System.EventHandler(this.btnFirst_Click);
+            // 
+            // btnFinal
+            // 
+            this.btnFinal.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.btnFinal.BackColor = System.Drawing.Color.LimeGreen;
+            this.btnFinal.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnFinal.Location = new System.Drawing.Point(570, 658);
+            this.btnFinal.Name = "btnFinal";
+            this.btnFinal.Size = new System.Drawing.Size(130, 30);
+            this.btnFinal.TabIndex = 102;
+            this.btnFinal.TabStop = false;
+            this.btnFinal.Text = "最終日報へ≫";
+            this.btnFinal.UseVisualStyleBackColor = false;
+            this.btnFinal.Click += new System.EventHandler(this.btnFinal_Click);
+            // 
             // FrmDRConstruction
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -1649,6 +1723,9 @@
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1344, 692);
+            this.Controls.Add(this.btnFinal);
+            this.Controls.Add(this.btnFirst);
+            this.Controls.Add(this.PrintProgress);
             this.Controls.Add(this.panel2);
             this.Controls.Add(this.btnOtherProc);
             this.Controls.Add(this.btnProv);
@@ -1661,6 +1738,8 @@
             this.Controls.Add(this.btnDataEntry);
             this.Controls.Add(this.btnEnd);
             this.Controls.Add(this.label1);
+            this.Controls.Add(this.btnPrint);
+            this.Controls.Add(this.btnCancel);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
             this.KeyPreview = true;
@@ -1667,10 +1746,10 @@
             this.Name = "FrmDRConstruction";
             this.ShowIcon = false;
             this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
-            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmConstructionBudget_FormClosing);
-            this.Load += new System.EventHandler(this.FrmConstructionBudget_Load);
-            this.SizeChanged += new System.EventHandler(this.FrmConstructionBudget_SizeChanged);
-            this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmConstructionBudget_KeyDown);
+            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmDRConstruction_FormClosing);
+            this.Load += new System.EventHandler(this.FrmDRConstruction_Load);
+            this.SizeChanged += new System.EventHandler(this.FrmDRConstruction_SizeChanged);
+            this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmDRConstruction_KeyDown);
             this.panel1.ResumeLayout(false);
             this.panel1.PerformLayout();
             this.pnlApproval.ResumeLayout(false);
@@ -1710,7 +1789,7 @@
         private System.Windows.Forms.Label label4;
         private DataGridViewEX dgvAllDisplay;
         private System.Windows.Forms.Label label3;
-        private System.Windows.Forms.TextBox textBox2;
+        private System.Windows.Forms.TextBox textBox;
         private System.Windows.Forms.Label label2;
         private DataGridViewEX dataGridViewEX1;
         private System.Windows.Forms.Label lblGrid1Total3;
@@ -1798,5 +1877,10 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column8;
         private System.Windows.Forms.Panel panel2;
         private System.Windows.Forms.Button btnWorkingList;
+        private System.Windows.Forms.Button btnPrint;
+        private System.Windows.Forms.ProgressBar PrintProgress;
+        private System.Windows.Forms.Button btnCancel;
+        private System.Windows.Forms.Button btnFirst;
+        private System.Windows.Forms.Button btnFinal;
     }
 }
\ No newline at end of file
